> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Prepare audio

> Submit asynchronous full-script TTS and workspace preparation after save_project. Uses the Web credit balance.

MCP tool: `podcast_prepare_audio`. OAuth scope: `podcast.generate`.


## OpenAPI

````yaml api-reference/openapi.json POST /open/podcast/v1/audio/tasks
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/audio/tasks:
    post:
      tags:
        - Podcast
      summary: prepare audio
      description: >-
        Submit asynchronous full-script TTS and workspace preparation after
        save_project. Uses the Web credit balance.
      operationId: podcast_prepare_audio
      parameters:
        - description: Replay a completed identical request without repeating side effects.
          in: header
          name: Idempotency-Key
          schema:
            maxLength: 128
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.ProjectDeleteReq'
        description: 请求体
        required: true
        x-originalParamName: req
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.PodcastTTSTaskResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    dto.ProjectDeleteReq:
      properties:
        project_id:
          type: string
      required:
        - project_id
      type: object
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.PodcastTTSTaskResp:
      properties:
        status:
          type: integer
        task_id:
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````